(*

category:      Test
synopsis:      Several parameters with assignment rules, testing various L1 built-in functions acting on constants.
componentTags: AssignmentRule, Parameter
testTags:      InitialValueReassigned, UncommonMathML
testType:      TimeCourse
levels:        1.2, 2.1, 2.2, 2.3, 2.4, 2.5, 3.1, 3.2
generatedBy:   Analytic

The model tests the various mathematical constructs present in L1.

The model contains:
* 40 parameters (P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14, P15, P16, P17, P18, P19, P20, P21, P22, P23, P24, P25, P26, P27, P28, P29, P30, P31, P32, P33, P34, P35, P36, P37, P38, P39, P40)

There are 39 rules:

[{width:30em,margin: 1em auto}|  *Type*  |  *Variable*  |  *Formula*  |
| Assignment | P2 | $abs(-1)$ |
| Assignment | P3 | $abs(1)$ |
| Assignment | P4 | $acos(-1)$ |
| Assignment | P5 | $acos(0.5)$ |
| Assignment | P6 | $asin(1)$ |
| Assignment | P7 | $asin(-0.5)$ |
| Assignment | P8 | $atan(2.8)$ |
| Assignment | P9 | $atan(-7.09)$ |
| Assignment | P10 | $ceil(0.5)$ |
| Assignment | P11 | $ceil(3.55)$ |
| Assignment | P12 | $ceil(-4.6)$ |
| Assignment | P13 | $cos(9.1)$ |
| Assignment | P14 | $cos(-0.22)$ |
| Assignment | P15 | $exp(0)$ |
| Assignment | P16 | $exp(1)$ |
| Assignment | P17 | $exp(0.77)$ |
| Assignment | P18 | $floor(-4.6)$ |
| Assignment | P19 | $floor(9.1)$ |
| Assignment | P20 | $log(0.2)$ |
| Assignment | P21 | $log(1)$ |
| Assignment | P22 | $log10(0.2)$ |
| Assignment | P23 | $log10(1)$ |
| Assignment | P24 | $pow(1, 2)$ |
| Assignment | P25 | $pow(2, 2)$ |
| Assignment | P26 | $pow(1.4, 5.1)$ |
| Assignment | P27 | $pow(4, 2)$ |
| Assignment | P28 | $pow(3.1, 2)$ |
| Assignment | P29 | $sqrt(4)$ |
| Assignment | P30 | $sqrt(7.4)$ |
| Assignment | P31 | $sin(2.1)$ |
| Assignment | P32 | $sin(0)$ |
| Assignment | P33 | $sin(-5.9)$ |
| Assignment | P34 | $tan(0)$ |
| Assignment | P35 | $tan(1.11)$ |
| Assignment | P36 | $tan(-6)$ |
| Assignment | P37 | $1 + 2$ |
| Assignment | P38 | $1 - 2$ |
| Assignment | P39 | $5 / 2$ |
| Assignment | P40 | $8 * 3$ |]

The initial conditions are as follows:

[{width:35em,margin: 1em auto}|       | *Value* | *Constant* |
| Initial value of parameter P1 | $3.7$ | constant |
| Initial value of parameter P2 | $abs(-1)$ | variable |
| Initial value of parameter P3 | $abs(1)$ | variable |
| Initial value of parameter P4 | $acos(-1)$ | variable |
| Initial value of parameter P5 | $acos(0.5)$ | variable |
| Initial value of parameter P6 | $asin(1)$ | variable |
| Initial value of parameter P7 | $asin(-0.5)$ | variable |
| Initial value of parameter P8 | $atan(2.8)$ | variable |
| Initial value of parameter P9 | $atan(-7.09)$ | variable |
| Initial value of parameter P10 | $ceil(0.5)$ | variable |
| Initial value of parameter P11 | $ceil(3.55)$ | variable |
| Initial value of parameter P12 | $ceil(-4.6)$ | variable |
| Initial value of parameter P13 | $cos(9.1)$ | variable |
| Initial value of parameter P14 | $cos(-0.22)$ | variable |
| Initial value of parameter P15 | $exp(0)$ | variable |
| Initial value of parameter P16 | $exp(1)$ | variable |
| Initial value of parameter P17 | $exp(0.77)$ | variable |
| Initial value of parameter P18 | $floor(-4.6)$ | variable |
| Initial value of parameter P19 | $floor(9.1)$ | variable |
| Initial value of parameter P20 | $log(0.2)$ | variable |
| Initial value of parameter P21 | $log(1)$ | variable |
| Initial value of parameter P22 | $log10(0.2)$ | variable |
| Initial value of parameter P23 | $log10(1)$ | variable |
| Initial value of parameter P24 | $pow(1, 2)$ | variable |
| Initial value of parameter P25 | $pow(2, 2)$ | variable |
| Initial value of parameter P26 | $pow(1.4, 5.1)$ | variable |
| Initial value of parameter P27 | $pow(4, 2)$ | variable |
| Initial value of parameter P28 | $pow(3.1, 2)$ | variable |
| Initial value of parameter P29 | $sqrt(4)$ | variable |
| Initial value of parameter P30 | $sqrt(7.4)$ | variable |
| Initial value of parameter P31 | $sin(2.1)$ | variable |
| Initial value of parameter P32 | $sin(0)$ | variable |
| Initial value of parameter P33 | $sin(-5.9)$ | variable |
| Initial value of parameter P34 | $tan(0)$ | variable |
| Initial value of parameter P35 | $tan(1.11)$ | variable |
| Initial value of parameter P36 | $tan(-6)$ | variable |
| Initial value of parameter P37 | $1 + 2$ | variable |
| Initial value of parameter P38 | $1 - 2$ | variable |
| Initial value of parameter P39 | $5 / 2$ | variable |
| Initial value of parameter P40 | $8 * 3$ | variable |]

Note: The test data for this model was generated from an analytical
solution of the system of equations.

*)

