(*

category:        Test
synopsis:        Uncommon MathML assigned to stoichiometries.
componentTags:   Compartment, RateRule, Reaction, Species
testTags:        Amount, AssignedVariableStoichiometry, NonUnityStoichiometry, UncommonMathML
testType:        TimeCourse
levels:          3.1, 3.2
generatedBy:     Analytic
packagesPresent: 

The model tests various uncommon mathematical constructs assigned to stoichiometries.

The model contains:
* 52 species (S0, S1, S2, S3, S4, S5, S6, S7, S8, S9, S10, S11, S12, S13, S14, S15, S16, S17, S18, S19, S20, S21, S22, S23, S24, S25, S26, S27, S28, S29, S30, S31, S32, S33, S34, S35, S36, S37, S38, S39, S40, S41, S42, S43, S44, S45, S46, S47, S48, S49, S50, S51)
* 1 compartment (C)
* 52 species references (S0_stoich, S1_stoich, S2_stoich, S3_stoich, S4_stoich, S5_stoich, S6_stoich, S7_stoich, S8_stoich, S9_stoich, S10_stoich, S11_stoich, S12_stoich, S13_stoich, S14_stoich, S15_stoich, S16_stoich, S17_stoich, S18_stoich, S19_stoich, S20_stoich, S21_stoich, S22_stoich, S23_stoich, S24_stoich, S25_stoich, S26_stoich, S27_stoich, S28_stoich, S29_stoich, S30_stoich, S31_stoich, S32_stoich, S33_stoich, S34_stoich, S35_stoich, S36_stoich, S37_stoich, S38_stoich, S39_stoich, S40_stoich, S41_stoich, S42_stoich, S43_stoich, S44_stoich, S45_stoich, S46_stoich, S47_stoich, S48_stoich, S49_stoich, S50_stoich, S51_stoich)

There are 52 reactions:

[{width:30em,margin: 1em auto}|  *Reaction*  |  *Rate*  |
| J0: -> S0_stoich S0 | $1$ |
| J1: -> S1_stoich S1 | $1$ |
| J2: -> S2_stoich S2 | $1$ |
| J3: -> S3_stoich S3 | $1$ |
| J4: -> S4_stoich S4 | $1$ |
| J5: -> S5_stoich S5 | $1$ |
| J6: -> S6_stoich S6 | $1$ |
| J7: -> S7_stoich S7 | $1$ |
| J8: -> S8_stoich S8 | $1$ |
| J9: -> S9_stoich S9 | $1$ |
| J10: -> S10_stoich S10 | $1$ |
| J11: -> S11_stoich S11 | $1$ |
| J12: -> S12_stoich S12 | $1$ |
| J13: -> S13_stoich S13 | $1$ |
| J14: -> S14_stoich S14 | $1$ |
| J15: -> S15_stoich S15 | $1$ |
| J16: -> S16_stoich S16 | $1$ |
| J17: -> S17_stoich S17 | $1$ |
| J18: -> S18_stoich S18 | $1$ |
| J19: -> S19_stoich S19 | $1$ |
| J20: -> S20_stoich S20 | $1$ |
| J21: -> S21_stoich S21 | $1$ |
| J22: -> S22_stoich S22 | $1$ |
| J23: -> S23_stoich S23 | $1$ |
| J24: -> S24_stoich S24 | $1$ |
| J25: -> S25_stoich S25 | $1$ |
| J26: -> S26_stoich S26 | $1$ |
| J27: -> S27_stoich S27 | $1$ |
| J28: -> S28_stoich S28 | $1$ |
| J29: -> S29_stoich S29 | $1$ |
| J30: -> S30_stoich S30 | $1$ |
| J31: -> S31_stoich S31 | $1$ |
| J32: -> S32_stoich S32 | $1$ |
| J33: -> S33_stoich S33 | $1$ |
| J34: -> S34_stoich S34 | $1$ |
| J35: -> S35_stoich S35 | $1$ |
| J36: -> S36_stoich S36 | $1$ |
| J37: -> S37_stoich S37 | $1$ |
| J38: -> S38_stoich S38 | $1$ |
| J39: -> S39_stoich S39 | $1$ |
| J40: -> S40_stoich S40 | $1$ |
| J41: -> S41_stoich S41 | $1$ |
| J42: -> S42_stoich S42 | $1$ |
| J43: -> S43_stoich S43 | $1$ |
| J44: -> S44_stoich S44 | $1$ |
| J45: -> S45_stoich S45 | $1$ |
| J46: -> S46_stoich S46 | $1$ |
| J47: -> S47_stoich S47 | $1$ |
| J48: -> S48_stoich S48 | $1$ |
| J49: -> S49_stoich S49 | $1$ |
| J50: -> S50_stoich S50 | $1$ |
| J51: -> S51_stoich S51 | $1$ |]
Note:  the following stoichiometries are set separately:  S0_stoich, S1_stoich, S2_stoich, S3_stoich, S4_stoich, S5_stoich, S6_stoich, S7_stoich, S8_stoich, S9_stoich, S10_stoich, S11_stoich, S12_stoich, S13_stoich, S14_stoich, S15_stoich, S16_stoich, S17_stoich, S18_stoich, S19_stoich, S20_stoich, S21_stoich, S22_stoich, S23_stoich, S24_stoich, S25_stoich, S26_stoich, S27_stoich, S28_stoich, S29_stoich, S30_stoich, S31_stoich, S32_stoich, S33_stoich, S34_stoich, S35_stoich, S36_stoich, S37_stoich, S38_stoich, S39_stoich, S40_stoich, S41_stoich, S42_stoich, S43_stoich, S44_stoich, S45_stoich, S46_stoich, S47_stoich, S48_stoich, S49_stoich, S50_stoich, S51_stoich


There are 52 rules:

[{width:30em,margin: 1em auto}|  *Type*  |  *Variable*  |  *Formula*  |
| Rate | S0_stoich | $exponentiale$ |
| Rate | S1_stoich | $exp(exponentiale)$ |
| Rate | S2_stoich | $abs(-1)$ |
| Rate | S3_stoich | $abs(1)$ |
| Rate | S4_stoich | $acos(-1)$ |
| Rate | S5_stoich | $acos(0.5)$ |
| Rate | S6_stoich | $asin(1)$ |
| Rate | S7_stoich | $asin(-0.5)$ |
| Rate | S8_stoich | $atan(2.8)$ |
| Rate | S9_stoich | $atan(-7.09)$ |
| Rate | S10_stoich | $ceil(0.5)$ |
| Rate | S11_stoich | $ceil(3.55)$ |
| Rate | S12_stoich | $ceil(-4.6)$ |
| Rate | S13_stoich | $cos(9.1)$ |
| Rate | S14_stoich | $cos(-0.22)$ |
| Rate | S15_stoich | $exp(0)$ |
| Rate | S16_stoich | $exp(1)$ |
| Rate | S17_stoich | $exp(0.77)$ |
| Rate | S18_stoich | $floor(-4.6)$ |
| Rate | S19_stoich | $floor(9.1)$ |
| Rate | S20_stoich | $ln(0.2)$ |
| Rate | S21_stoich | $ln(1)$ |
| Rate | S22_stoich | $log10(0.2)$ |
| Rate | S23_stoich | $log10(1)$ |
| Rate | S24_stoich | $1^2$ |
| Rate | S25_stoich | $2^2$ |
| Rate | S26_stoich | $1.4^5.1$ |
| Rate | S27_stoich | $4^2$ |
| Rate | S28_stoich | $3.1^2$ |
| Rate | S29_stoich | $sqrt(4)$ |
| Rate | S30_stoich | $sqrt(7.4)$ |
| Rate | S31_stoich | $sin(2.1)$ |
| Rate | S32_stoich | $sin(0)$ |
| Rate | S33_stoich | $sin(-5.9)$ |
| Rate | S34_stoich | $tan(0)$ |
| Rate | S35_stoich | $tan(1.11)$ |
| Rate | S36_stoich | $tan(-6)$ |
| Rate | S37_stoich | $sec(0.5)$ |
| Rate | S38_stoich | $csc(4.5)$ |
| Rate | S39_stoich | $cot(0.2)$ |
| Rate | S40_stoich | $sinh(0.3)$ |
| Rate | S41_stoich | $cosh(1.7)$ |
| Rate | S42_stoich | $arcsec(2.3)$ |
| Rate | S43_stoich | $arccsc(1.1)$ |
| Rate | S44_stoich | $arccot(-0.1)$ |
| Rate | S45_stoich | $arcsinh(99)$ |
| Rate | S46_stoich | $arccosh(1.34)$ |
| Rate | S47_stoich | $arctanh(-0.7)$ |
| Rate | S48_stoich | $arcsech(0.42)$ |
| Rate | S49_stoich | $arccsch(0.01)$ |
| Rate | S50_stoich | $times()$ |
| Rate | S51_stoich | $plus()$ |]

The initial conditions are as follows:

[{width:35em,margin: 1em auto}|       | *Value* | *Constant* |
| Initial concentration of species S0 | $0$ | variable |
| Initial concentration of species S1 | $0$ | variable |
| Initial concentration of species S2 | $0$ | variable |
| Initial concentration of species S3 | $0$ | variable |
| Initial concentration of species S4 | $0$ | variable |
| Initial concentration of species S5 | $0$ | variable |
| Initial concentration of species S6 | $0$ | variable |
| Initial concentration of species S7 | $0$ | variable |
| Initial concentration of species S8 | $0$ | variable |
| Initial concentration of species S9 | $0$ | variable |
| Initial concentration of species S10 | $0$ | variable |
| Initial concentration of species S11 | $0$ | variable |
| Initial concentration of species S12 | $0$ | variable |
| Initial concentration of species S13 | $0$ | variable |
| Initial concentration of species S14 | $0$ | variable |
| Initial concentration of species S15 | $0$ | variable |
| Initial concentration of species S16 | $0$ | variable |
| Initial concentration of species S17 | $0$ | variable |
| Initial concentration of species S18 | $0$ | variable |
| Initial concentration of species S19 | $0$ | variable |
| Initial concentration of species S20 | $0$ | variable |
| Initial concentration of species S21 | $0$ | variable |
| Initial concentration of species S22 | $0$ | variable |
| Initial concentration of species S23 | $0$ | variable |
| Initial concentration of species S24 | $0$ | variable |
| Initial concentration of species S25 | $0$ | variable |
| Initial concentration of species S26 | $0$ | variable |
| Initial concentration of species S27 | $0$ | variable |
| Initial concentration of species S28 | $0$ | variable |
| Initial concentration of species S29 | $0$ | variable |
| Initial concentration of species S30 | $0$ | variable |
| Initial concentration of species S31 | $0$ | variable |
| Initial concentration of species S32 | $0$ | variable |
| Initial concentration of species S33 | $0$ | variable |
| Initial concentration of species S34 | $0$ | variable |
| Initial concentration of species S35 | $0$ | variable |
| Initial concentration of species S36 | $0$ | variable |
| Initial concentration of species S37 | $0$ | variable |
| Initial concentration of species S38 | $0$ | variable |
| Initial concentration of species S39 | $0$ | variable |
| Initial concentration of species S40 | $0$ | variable |
| Initial concentration of species S41 | $0$ | variable |
| Initial concentration of species S42 | $0$ | variable |
| Initial concentration of species S43 | $0$ | variable |
| Initial concentration of species S44 | $0$ | variable |
| Initial concentration of species S45 | $0$ | variable |
| Initial concentration of species S46 | $0$ | variable |
| Initial concentration of species S47 | $0$ | variable |
| Initial concentration of species S48 | $0$ | variable |
| Initial concentration of species S49 | $0$ | variable |
| Initial concentration of species S50 | $0$ | variable |
| Initial concentration of species S51 | $0$ | variable |
| Initial volume of compartment 'C' | $1$ | constant |
| Initial value of species reference 'S0_stoich' | $0$ | variable |
| Initial value of species reference 'S1_stoich' | $0$ | variable |
| Initial value of species reference 'S2_stoich' | $0$ | variable |
| Initial value of species reference 'S3_stoich' | $0$ | variable |
| Initial value of species reference 'S4_stoich' | $0$ | variable |
| Initial value of species reference 'S5_stoich' | $0$ | variable |
| Initial value of species reference 'S6_stoich' | $0$ | variable |
| Initial value of species reference 'S7_stoich' | $0$ | variable |
| Initial value of species reference 'S8_stoich' | $0$ | variable |
| Initial value of species reference 'S9_stoich' | $0$ | variable |
| Initial value of species reference 'S10_stoich' | $0$ | variable |
| Initial value of species reference 'S11_stoich' | $0$ | variable |
| Initial value of species reference 'S12_stoich' | $0$ | variable |
| Initial value of species reference 'S13_stoich' | $0$ | variable |
| Initial value of species reference 'S14_stoich' | $0$ | variable |
| Initial value of species reference 'S15_stoich' | $0$ | variable |
| Initial value of species reference 'S16_stoich' | $0$ | variable |
| Initial value of species reference 'S17_stoich' | $0$ | variable |
| Initial value of species reference 'S18_stoich' | $0$ | variable |
| Initial value of species reference 'S19_stoich' | $0$ | variable |
| Initial value of species reference 'S20_stoich' | $0$ | variable |
| Initial value of species reference 'S21_stoich' | $0$ | variable |
| Initial value of species reference 'S22_stoich' | $0$ | variable |
| Initial value of species reference 'S23_stoich' | $0$ | variable |
| Initial value of species reference 'S24_stoich' | $0$ | variable |
| Initial value of species reference 'S25_stoich' | $0$ | variable |
| Initial value of species reference 'S26_stoich' | $0$ | variable |
| Initial value of species reference 'S27_stoich' | $0$ | variable |
| Initial value of species reference 'S28_stoich' | $0$ | variable |
| Initial value of species reference 'S29_stoich' | $0$ | variable |
| Initial value of species reference 'S30_stoich' | $0$ | variable |
| Initial value of species reference 'S31_stoich' | $0$ | variable |
| Initial value of species reference 'S32_stoich' | $0$ | variable |
| Initial value of species reference 'S33_stoich' | $0$ | variable |
| Initial value of species reference 'S34_stoich' | $0$ | variable |
| Initial value of species reference 'S35_stoich' | $0$ | variable |
| Initial value of species reference 'S36_stoich' | $0$ | variable |
| Initial value of species reference 'S37_stoich' | $0$ | variable |
| Initial value of species reference 'S38_stoich' | $0$ | variable |
| Initial value of species reference 'S39_stoich' | $0$ | variable |
| Initial value of species reference 'S40_stoich' | $0$ | variable |
| Initial value of species reference 'S41_stoich' | $0$ | variable |
| Initial value of species reference 'S42_stoich' | $0$ | variable |
| Initial value of species reference 'S43_stoich' | $0$ | variable |
| Initial value of species reference 'S44_stoich' | $0$ | variable |
| Initial value of species reference 'S45_stoich' | $0$ | variable |
| Initial value of species reference 'S46_stoich' | $0$ | variable |
| Initial value of species reference 'S47_stoich' | $0$ | variable |
| Initial value of species reference 'S48_stoich' | $0$ | variable |
| Initial value of species reference 'S49_stoich' | $0$ | variable |
| Initial value of species reference 'S50_stoich' | $0$ | variable |
| Initial value of species reference 'S51_stoich' | $0$ | variable |]

Note: The test data for this model was generated from an analytical
solution of the system of equations.

*)
